/*
 * eeprom.h
 *
 *  Created on: Jul 27, 2024
 *      Author: true
 */

#ifndef USER_SRC_EEPROM_H_
#define USER_SRC_EEPROM_H_


#include <ch32v00x.h>
#include <stdint.h>



#define EEPROM_WP_PORT      GPIOC
#define EEPROM_WP_PIN       GPIO_Pin_6



void eeprom_read_bytes(uint8_t page, uint8_t addr, uint8_t *data, uint8_t len);
void eeprom_write_bytes(uint8_t page, uint8_t addr, uint8_t *data, uint8_t len);



#endif /* USER_SRC_EEPROM_H_ */
